svn commit: samba r3651 - in branches/SAMBA_4_0/source: build/smb_build script

abartlet at samba.org abartlet at samba.org
Wed Nov 10 03:08:59 GMT 2004


Author: abartlet
Date: 2004-11-10 03:08:59 +0000 (Wed, 10 Nov 2004)
New Revision: 3651

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=3651

Log:
Add a new configure option --with-eparserdir

This allows us to call 'make eparser_idl', generate the files required
by the ethereal pidl plugin, and put them in the right place.  (See
lorikeet/ethereal)

Andrew Bartlett

Modified:
   branches/SAMBA_4_0/source/build/smb_build/check_path.m4
   branches/SAMBA_4_0/source/build/smb_build/makefile.pl
   branches/SAMBA_4_0/source/script/build_idl.sh


Changeset:
Modified: branches/SAMBA_4_0/source/build/smb_build/check_path.m4
===================================================================
--- branches/SAMBA_4_0/source/build/smb_build/check_path.m4	2004-11-10 02:13:36 UTC (rev 3650)
+++ branches/SAMBA_4_0/source/build/smb_build/check_path.m4	2004-11-10 03:08:59 UTC (rev 3651)
@@ -107,6 +107,24 @@
     ;;
   esac])
 
+#################################################
+# set configuration directory location
+eparserdir=""
+
+AC_ARG_WITH(eparserdir,
+[  --with-eparserdir=DIR    Where to put output for the Ethereal/PIDL plugin],
+[ case "$withval" in
+  yes|no)
+  #
+  # Just in case anybody does it
+  #
+    AC_MSG_ERROR([--with-eparserdir called without argument])
+  ;;
+  * )
+    eparserdir="$withval"
+    ;;
+  esac])
+
 AC_SUBST(configdir)
 AC_SUBST(lockdir)
 AC_SUBST(piddir)
@@ -114,6 +132,7 @@
 AC_SUBST(privatedir)
 AC_SUBST(bindir)
 AC_SUBST(sbindir)
+AC_SUBST(eparserdir)
 
 debug=no
 AC_ARG_ENABLE(debug, 

Modified: branches/SAMBA_4_0/source/build/smb_build/makefile.pl
===================================================================
--- branches/SAMBA_4_0/source/build/smb_build/makefile.pl	2004-11-10 02:13:36 UTC (rev 3650)
+++ branches/SAMBA_4_0/source/build/smb_build/makefile.pl	2004-11-10 03:08:59 UTC (rev 3651)
@@ -29,6 +29,7 @@
 VPATH=\@srcdir\@
 srcdir=\@srcdir\@
 builddir=\@builddir\@
+eparserdir=\@eparserdir\@
 
 BASEDIR= \@prefix\@
 BINDIR = \@bindir\@
@@ -37,6 +38,7 @@
 CONFIGDIR = \@configdir\@
 VARDIR = \@localstatedir\@
 
+
 # The permissions to give the executables
 INSTALLPERMS = 0755
 
@@ -125,8 +127,11 @@
 	CPP=\"\@CPP\@\" PERL=\"\$(PERL)\" script/build_idl.sh FULL
 
 idl: build/pidl/idl.pm
-	\@CPP=\"\@CPP\@\" script/build_idl.sh
+	\@CPP=\"\@CPP\@\" script/build_idl.sh PARTIAL
 
+eparser_idl: build/pidl/idl.pm
+	CPP=\"\@CPP\@\" PERL=\"\$(PERL)\" EPARSERPREFIX=\"\$(eparserdir)\" script/build_idl.sh EPARSER 
+
 build/pidl/idl.pm: build/pidl/idl.yp
 	-yapp -s build/pidl/idl.yp
 

Modified: branches/SAMBA_4_0/source/script/build_idl.sh
===================================================================
--- branches/SAMBA_4_0/source/script/build_idl.sh	2004-11-10 02:13:36 UTC (rev 3650)
+++ branches/SAMBA_4_0/source/script/build_idl.sh	2004-11-10 03:08:59 UTC (rev 3651)
@@ -5,6 +5,7 @@
 [ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
 
 PIDL="$PERL ./build/pidl/pidl.pl --output librpc/gen_ndr/ndr_ --parse --header --parser --server"
+EPARSERPIDL="$PERL ./build/pidl/pidl.pl --output $EPARSERPREFIX/ndr_ --parse --header --eparser"
 TABLES="$PERL ./build/pidl/tables.pl --output librpc/gen_ndr/tables"
 
 if [ x$FULLBUILD = xFULL ]; then
@@ -16,6 +17,12 @@
       exit 0
 fi
 
+if [ x$FULLBUILD = xEPARSER ]; then
+      echo Rebuilding all idl files in librpc/idl
+      $EPARSERPIDL librpc/idl/*.idl || exit 1
+      exit 0
+fi
+
 list=""
 
 for f in librpc/idl/*.idl; do



More information about the samba-cvs mailing list